<?php

namespace Drupal\commerce_giftcard;

use Drupal\commerce_giftcard\Entity\GiftcardTypeInterface;

/**
 * Gift card code generation service.
 */
interface GiftcardCodeGeneratorInterface {

  /**
   * Generate codes for a given gift card type.
   *
   * @param \Drupal\commerce_giftcard\Entity\GiftcardTypeInterface $giftcard_type
   *   The gift card type.
   * @param int $quantity
   *   Number of codes to generate.
   *
   * @return string[]
   *   List of codes.
   */
  public function generateCodes(GiftcardTypeInterface $giftcard_type, $quantity);

}
